Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Direct update firmware from 1.1.9 to 1.7 available?

Discussion in 'Pro/Adv Discussion' started by LeTyH, Mar 26, 2016.

  1. LeTyH

    Joined:
    Mar 26, 2016
    Messages:
    4
    Likes Received:
    0
    Hello!
    Sorry for my English....
    I used F3P with 1.1.9+ firmware during long time, but unfrequently compass Errors has been happened during the flight and drone start to fly in random direction, but still controllable.
    In 1.7 release notes declared that compass get more accurate. So I decide to update firmware to 1.7. S

    Can I Directly install 1.7 on 1.1.9 or I need to install all in-between versions?
    Somewhere I read that 1.6 may be directly installed on 1.1.9 so as it have all firmware parts inside: Battery, gimbal, body. 1.7 don’t have battery firmware. But others recommend subsequent update on: 1.2.6 - 1.3.2 - 1.4.1 - 1.5.3 - 1.6.4 or Phantom will be permanently Bricked, in case that downgrade available only on 1 previous version.
    What is the best way to do?
    Or inflight compass errors are normal conditions if they happened wary rare and nothing will change for me? (I do not need IOC, and speed reduction in new firmware undesirable for me)
     
  2. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,032
    Likes Received:
    1,620
    Location:
    San Francisco, CA
    First of all I'm not sure if compass error will be resolved by the FW upgrades.

    You need to check if after IMU calibration on cold condition what values are you getting for compass. Keep P3 away from magnetic materials to get to know your values correctly.

    Now regarding SW/ FW upgrades, so many people are currently facing problems during upgrades, though not sure if this is installer problem or installation problems, it is advisable to wait for sometime until dust settles. As the new SW and FW are go in hand with each other, it is not enough just to upgrade aircraft FW, you need to upgrade RC and app as well. Battery FW will also to be loaded onto each of the batteries.

    In short, for aircraft, once you reach 1.32, you can upgrade to the latest directly. Looking at the current problems, working step by step will be advisable. It's time consuming but safe.

    Wait for others to comment also and then decide your course of action as I hv always gone per the release available at any point of time. Always keep in mind that during aircraft FW update, RC is turned off.
     
  3. LeTyH

    Joined:
    Mar 26, 2016
    Messages:
    4
    Likes Received:
    0
    I calibrate compass often and in unobstructed areas like field or top of the hill without communication towers or metal structures nearby. Every time before flight I check readings in DjiGO and it is in normal conditions 1450-1600.But sometimes (approximately once per ever 10 flights) compass errors happen. I think, if Error will happen at FailSafe return - drone will flight away.
     
  4. LeTyH

    Joined:
    Mar 26, 2016
    Messages:
    4
    Likes Received:
    0
  5. LeTyH

    Joined:
    Mar 26, 2016
    Messages:
    4
    Likes Received:
    0
    Noone installed 1.6 on 1.1.9??
     
  6. flyNfrank

    Joined:
    Feb 1, 2014
    Messages:
    4,208
    Likes Received:
    906
    Location:
    Indy, USA
    I calibrate compass prior to each flight regardless. As long as you do the calibration properly you will not have anything to worry about.

    Btw, your 1600 seems a little high. Mine reads between 1400-1450.
     
  7. Oso

    Oso

    Joined:
    May 19, 2015
    Messages:
    2,514
    Likes Received:
    1,473
    Location:
    Sacramento CA
    If you are sure you want to update, install 1.32 first and then you can install the higher versions. Also, put 1.32 on your RC and batteries before going higher.

    Read this for more info:
    P3 Firmware - HOW TO: Install Phantom 3 firmware
     
    JoBe and flyNfrank like this.